# Retrieve a list of orders

Retrieves details for a bulk of orders that have been submitted within a given time range and optionally by order status or customer.

Endpoint: GET /{partner}/v2/orders
Version: v2
Security: sec0

## Path parameters:

  - `partner` (string, required)
    This is the partner code provided to you during onboarding. e.g. metamask.

## Query parameters:

  - `start` (string, required)
    The start date of the dataset in UTC. This is inclusive: orders created at this exact date will be included.

  - `end` (string, required)
    The end date of the dataset in UTC. This is inclusive: orders created at this exact date will be included.

  - `skip` (integer)
    The number of orders to skip in the dataset.

  - `page` (integer)
    The page of orders that are returned.

  - `externalCustomerId` (string)
    Indicates the customer identifier that was used when creating the order. Orders will be filtered based on orders made by this customer.

  - `status` (string)
    Filter by order status. Pass a comma-separated list for more than one status. See [Order statuses](/products/hosted-checkout/docs/transaction-lifecycle/order-statuses).

  - `limit` (integer)
    The limit of orders that are returned. If not provided, then default to 100 records.

## Header parameters:

  - `Accept` (string)

  - `x-api-key` (string)
    This is the API Key that has been provided to you during onboarding.

## Response 200:

  - `200` (unknown)
    Orders matching the query.

## Response 200 fields (application/json):

  - `orders` (array)

  - `orders.createdAt` (string)
    Example: 2022-08-22T09:10:43.724Z

  - `orders.updatedAt` (string)
    Example: 2022-08-22T09:13:56.165Z

  - `orders.id` (string)
    Example: 191fa5b4b1f45e1cf784422e09317d56

  - `orders.externalId` (string)
    Example: a4b427ccb872a1744b317456bd0d165f

  - `orders.externalCustomerId` (string)
    Example: testing123

  - `orders.country` (string)
    Example: US

  - `orders.orderStatusUrl` (string)
    Example: https://banxa.status/a4b427ccb872a1744b317456bd0d165f

  - `orders.orderType` (string)
    Example: BUY

  - `orders.crypto` (object)

  - `orders.crypto.id` (string)
    Example: USDC

  - `orders.crypto.blockchain` (string)
    Example: TRON

  - `orders.crypto.address` (string)
    Example: 0x0000000000000000000000000000000000000000

  - `orders.crypto.network` (string)
    Example: 1

  - `orders.fiat` (string)
    Example: CAD

  - `orders.fiatAmount` (string)
    Example: 1000.00

  - `orders.cryptoAmount` (string)
    Example: 696.63

  - `orders.paymentMethodId` (string)
    Example: aabkd8792kd

  - `orders.paymentMethodName` (string)
    Example: debit-credit-card

  - `orders.processingFee` (string)
    Example: 0.30

  - `orders.networkFee` (string)
    Example: 1.67

  - `orders.partnerFee` (string)

  - `orders.transactionHash` (string)
    Example: 0x5ea06c4724e8119704a1b57c918acf31742eb06cdf3f8678fdb17f41bbaf968e

  - `orders.walletAddress` (string)
    Example: 0x75b8d4d81377d4b0f11798779563462264914a24

  - `orders.walletAddressTag` (string)
    Example: 1651352

  - `orders.status` (string)
    Order status. See [Order statuses](/products/hosted-checkout/docs/transaction-lifecycle/order-statuses).
    Example: complete

  - `orders.metadata` (string)
    Example: {'tracking_id': 'HSKJDGHKSJG0393LJKJF'}

  - `pageTotal` (integer)
    Example: 100

  - `total` (integer)
    Example: 2654

## Response 200 examples:

  - `Result` (unknown)

